Runtime

## org.eclipse.gmf.runtime.diagram.core.providers
Interface DiagramEventBrokerProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  AbstractDiagramEventBrokerProvider, DiagramEventBrokerService

    public interface DiagramEventBrokerProvider

extends IProvider

Method Summary
`DiagramEventBroker` `createDiagramEventBroker(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)` Creates a `DiagramEventBroker` instance and associate it with the passed `TransactionalEditingDomain`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### createDiagramEventBroker

    DiagramEventBroker createDiagramEventBroker(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)

  Creates a `DiagramEventBroker` instance and associate it with the passed `TransactionalEditingDomain`

  Parameters:
    `editingDomain` - the editing domain that will be associated with the diagram event broker
  Returns:
    a new diagram event broker instance

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.